"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Subject = (function () {
    function Subject() {
    }
    Subject.prototype.register = function (observer) {
        Subject.observers.push(observer);
    };
    Subject.prototype.unregister = function (observer) {
        var n = Subject.observers.indexOf(observer);
        Subject.observers.splice(n, 1);
    };
    Subject.prototype.notify = function (groupId, parameter) {
        for (var _i = 0, _a = Subject.observers; _i < _a.length; _i++) {
            var observer = _a[_i];
            if (observer.groupId == groupId) {
                observer.parameter = parameter;
                observer.notify();
            }
        }
    };
    Subject.prototype.isParameterNull = function (groupId) {
        var observer = Subject.observers.filter(function (observer) { return observer.groupId = groupId; });
        if (observer.length > 0) {
            return false;
        }
        else {
            return true;
        }
    };
    Subject.prototype.getParameter = function (groupId) {
        var observer = Subject.observers.filter(function (observer) { return observer.groupId = groupId; });
        if (observer.length > 0) {
            return observer[0].parameter;
        }
        return null;
    };
    Subject.observers = [];
    return Subject;
}());
exports.Subject = Subject;
//# sourceMappingURL=subject.js.map