export declare class Groups {
    id: number;
    parentGroupId: number;
    name: string;
    carParks: string[];
    constructor(id: number, parentGroupId: number, name: string, carParks?: string[]);
    static getGroup(allGroups: Groups[]): Groups[];
    static getSubGroup(allGroups: Groups[], id: number): Groups[];
    static getGroupById(allGroups: Groups[], id: number): Groups;
    static getCarParkBySubGroup(subGroups: Groups[], id: number): string[];
    static getCarParkByGroup(allgroups: Groups[], id: number): string[];
    setCarParkInSubGroup(carParks: string[]): void;
    equals(value: Groups): boolean;
}
export declare class CarParks {
    id: string;
    name: string;
    checked: boolean;
    constructor(id?: string, name?: string, checked?: boolean);
}
