"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Automatic generation by build.sh
 */
/*
 * Automatic generation by build.sh
 */
var Groups = (function () {
    function Groups(id, parentGroupId, name, carParks) {
        this.id = id;
        this.parentGroupId = parentGroupId;
        this.name = name;
        this.carParks = carParks;
    }
    Groups.getGroup = function (allGroups) {
        var group = allGroups.filter(function (value) { return value.id == value.parentGroupId || value.parentGroupId == null; });
        return group;
    };
    Groups.getSubGroup = function (allGroups, id) {
        var subGroup = allGroups.filter(function (value) { return value.parentGroupId == id && value.id != value.parentGroupId; });
        return subGroup;
    };
    Groups.getGroupById = function (allGroups, id) {
        var group = allGroups.filter(function (value) { return value.id == id; }).pop();
        return group;
    };
    Groups.getCarParkBySubGroup = function (subGroups, id) {
        var subGroup = subGroups.filter(function (value) { return value.id == id; }).pop();
        return subGroup.carParks;
    };
    Groups.getCarParkByGroup = function (allgroups, id) {
        var groups = allgroups.filter(function (value) { return value.parentGroupId == id; });
        var carParks = [];
        groups.forEach(function (v) {
            // Join arrays 
            Array.prototype.push.apply(carParks, v.carParks);
        });
        return carParks;
    };
    Groups.prototype.setCarParkInSubGroup = function (carParks) {
        this.carParks = [];
        this.carParks = carParks;
    };
    Groups.prototype.equals = function (value) {
        if (this.id == value.id && this.name == value.name && this.parentGroupId == value.parentGroupId) {
            // If had a carParks, check them
            if (this.carParks instanceof Array && value.carParks instanceof Array) {
                this.carParks.sort();
                value.carParks.sort();
                var is_same = this.carParks.length == value.carParks.length && this.carParks.every(function (element, index) {
                    return element === value.carParks[index];
                });
                return is_same;
            }
            return true;
        }
        else {
            return false;
        }
    };
    return Groups;
}());
exports.Groups = Groups;
var CarParks = (function () {
    function CarParks(id, name, checked) {
        this.id = id;
        this.name = name;
        this.checked = checked;
    }
    return CarParks;
}());
exports.CarParks = CarParks;
//# sourceMappingURL=groups.js.map