export declare class ReportSubmenu {
    id: number;
    name: string;
    description: string;
    icon: string;
    path: string;
    categoryType: string;
    reportList: ReportList[];
    constructor(id: number, name: string, description: string, icon: string, path: string, categoryType: string, reportList: ReportList[]);
}
export declare class ReportList {
    id: number;
    name: string;
    description: any;
    icon: string;
    path: string;
    reportType: string;
    realTime: boolean;
    filter: CustomFilter;
    constructor(id: number, name: string, description: any, icon: string, path: string, reportType: string, realTime: boolean, filter?: CustomFilter);
}
export declare class Period {
    key: string;
    value: string;
    constructor(key: string, value: string);
}
export declare class CustomFilter {
    hideTimeRange: boolean;
    hideCompare: boolean;
    hideGroups: boolean;
    enableStation: boolean;
    enableStationGroups: boolean;
    overridePeriods: string[];
    constructor(hideTimeRange: boolean, hideCompare: boolean, hideGroups: boolean, enableStation: boolean, enableStationGroups: boolean, overridePeriods?: string[]);
}
