export declare class StationGroups {
    id: number;
    parentGroupStationId: number;
    name: string;
    carParks: string[];
    carParkId: string;
    stations: string[];
    constructor(id: number, parentGroupStationId: number, name: string, carParks?: string[], carParkId?: string, stations?: string[]);
    static getGroup(allGroups: StationGroups[]): StationGroups[];
    static getSubGroup(allGroups: StationGroups[], id: number): StationGroups[];
    static getGroupById(allGroups: StationGroups[], id: number): StationGroups;
    static getStationsBySubGroup(subGroups: StationGroups[], id: number): string[];
    static getStationsByGroup(allgroups: StationGroups[], id: number): string[];
    setStationInSubGroup(stations: string[]): void;
    equals(value: StationGroups): boolean;
}
export declare class Stations {
    uuid: string;
    name: string;
    checked: boolean;
    constructor(uuid?: string, name?: string, checked?: boolean);
}
