"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var app_settings_1 = require("../app-settings");
var DateCustomPipe = (function () {
    function DateCustomPipe() {
        this.datePipe = new common_1.DatePipe(app_settings_1.AppSettings.LANG);
    }
    DateCustomPipe.prototype.transform = function (isoDate, pattern) {
        if (pattern.indexOf('mm')) {
            pattern = pattern.replace('mm', 'MM');
        }
        var date = new Date(isoDate);
        return this.datePipe.transform(date, pattern);
    };
    DateCustomPipe = __decorate([
        core_1.Pipe({ name: 'date_custom' })
    ], DateCustomPipe);
    return DateCustomPipe;
}());
exports.DateCustomPipe = DateCustomPipe;
//# sourceMappingURL=date.custom.pipe.js.map