/*
 * Automatic generation by build.sh
 */
/*
 * Automatic generation by build.sh
 */
export class Groups {

    constructor(public id: number, public parentGroupId: number, public name: string, public carParks?: string[]) { }

    static getGroup(allGroups: Groups[]): Groups[] {
        var group = allGroups.filter(value => value.id == value.parentGroupId || value.parentGroupId == null);
        return group;
    }

    static getSubGroup(allGroups: Groups[], id: number): Groups[] {
        var subGroup = allGroups.filter(value => value.parentGroupId == id && value.id != value.parentGroupId);
        return subGroup;
    }

    static getGroupById(allGroups: Groups[], id: number): Groups {
        var group = allGroups.filter(value => value.id == id).pop();
        return group;
    }

    static getCarParkBySubGroup(subGroups: Groups[], id: number): string[] {
        var subGroup = subGroups.filter(value => value.id == id).pop();
        return subGroup.carParks;
    }

    static getCarParkByGroup(allgroups: Groups[], id: number): string[] {
        var groups = allgroups.filter(value => value.parentGroupId == id);

        var carParks: string[] = [];
        groups.forEach(v => {
            // Join arrays 
            Array.prototype.push.apply(carParks, v.carParks);
        });

        return carParks;
    }

    public setCarParkInSubGroup(carParks: string[]) {
        this.carParks = [];
        this.carParks = carParks;
    }


    public equals(value: Groups): boolean {
        if (this.id == value.id && this.name == value.name && this.parentGroupId == value.parentGroupId) {

            // If had a carParks, check them
            if (this.carParks instanceof Array && value.carParks instanceof Array) {

                this.carParks.sort();
                value.carParks.sort();

                var is_same = this.carParks.length == value.carParks.length && this.carParks.every(function (element, index) {
                    return element === value.carParks[index];
                });
                return is_same;
            }

            return true;

        } else {
            return false;
        }
    }

}


export class CarParks {
    constructor(public id?: string, public name?: string, public checked?: boolean) { }
}
