/*
 * Automatic generation by build.sh
 */
/*
 * Automatic generation by build.sh
 */
export class StationGroups {

    constructor(public id: number, public parentGroupStationId: number, public name: string, public carParks?: string[], public carParkId?: string, public stations?: string[]) { }

    static getGroup(allGroups: StationGroups[]): StationGroups[] {
        var group = allGroups.filter(value => value.id == value.parentGroupStationId || value.parentGroupStationId == null);
        return group;
    }

    static getSubGroup(allGroups: StationGroups[], id: number): StationGroups[] {
        var subGroup = allGroups.filter(value => value.parentGroupStationId == id && value.id != value.parentGroupStationId);
        return subGroup;
    }

    static getGroupById(allGroups: StationGroups[], id: number): StationGroups {
        var group = allGroups.filter(value => value.id == id).pop();
        return group;
    }

    static getStationsBySubGroup(subGroups: StationGroups[], id: number): string[] {
        var subGroup = subGroups.filter(value => value.id == id).pop();
        return subGroup.stations;
    }

    static getStationsByGroup(allgroups: StationGroups[], id: number): string[] {
        var groups = allgroups.filter(value => value.parentGroupStationId == id);

        var stations: string[] = [];
        groups.forEach(v => {
            // Join arrays 
            Array.prototype.push.apply(stations, v.stations);
        });

        return stations;
    }

    public setStationInSubGroup(stations: string[]) {
        this.stations = [];
        this.stations = stations;
    }


    public equals(value: StationGroups): boolean {
        if (this.id == value.id && this.name == value.name && this.parentGroupStationId == value.parentGroupStationId) {

            // If had a carParks, check them
            if (this.carParks instanceof Array && value.carParks instanceof Array) {

                this.carParks.sort();
                value.carParks.sort();

                var is_same = this.carParks.length == value.carParks.length && this.carParks.every(function (element, index) {
                    return element === value.carParks[index];
                });
                return is_same;
            }

            return true;

        } else {
            return false;
        }
    }

}

export class Stations {
    constructor(public uuid?: string, public name?: string, public checked?: boolean) { }
}
