/*
 * Automatic generation by build.sh
 */
/*
 * Automatic generation by build.sh
 */
export class WebReportsData {
    title: string;
    type: string;
    views: View[];
    dataSources: DataSources[];
    template: any[][];
    dashboard:any[];
}

export class View {
    id: string;
    title: string;
    subtitle?: string;
    component?: Component;
    components?: Component[];
}

export class Component {
    type: string;
    labels: any;
    chart: Chart[];
    dataSourceId: string;
    seriesColumn?: string;
    columns: any[];
    field: string;
    operation: string;
    format: string;
    legend?: string;
    textAlign?: string;
    backgroundColor: string; //background color of progress bar component
    formats?: any[]; //grid view formats 
    align?:any; //grid view alignment
    fontSize?: string; //only for metric's
    height? : string; //only for chart
    sum?: string; // only for striped-table,
    paging?: boolean; // only for grid
    scrolly?: string; // only for grid
    lengthMenu?: any[]; //only for grid
    lengthChange?: boolean; //only for grid
    searching?: boolean; //only for grid
    
}

export class Chart {
    chartTypes: string;
    yAxis?: string;
    xAxis?: string;
    labels?: string;
    ySide?: string;
    stacking?: string;
}

export class DataSources {
    id: string;
    data: any[];
}
