import { Injectable } from '@angular/core';
import { MessageConstants } from "./messages.constants";
import { WpsLocalStorage } from '../local-storage'

@Injectable()
export class Login {

    constructor() { }

    public tokenCheck(error) {

        if (error == 'invalid_token' || error == 'unauthorized' || error === MessageConstants.SESSION_EXPIRED) {
            WpsLocalStorage.removeItem('access_token');
            WpsLocalStorage.removeItem('token');
            WpsLocalStorage.removeItem('token_type');
            WpsLocalStorage.removeItem('username');
            WpsLocalStorage.setItem('error', error);
        }
    }
}