"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Automatic generation by build.sh
 */
/*
 * Automatic generation by build.sh
 */
var StationGroups = (function () {
    function StationGroups(id, parentGroupStationId, name, carParks, carParkId, stations) {
        this.id = id;
        this.parentGroupStationId = parentGroupStationId;
        this.name = name;
        this.carParks = carParks;
        this.carParkId = carParkId;
        this.stations = stations;
    }
    StationGroups.getGroup = function (allGroups) {
        var group = allGroups.filter(function (value) { return value.id == value.parentGroupStationId || value.parentGroupStationId == null; });
        return group;
    };
    StationGroups.getSubGroup = function (allGroups, id) {
        var subGroup = allGroups.filter(function (value) { return value.parentGroupStationId == id && value.id != value.parentGroupStationId; });
        return subGroup;
    };
    StationGroups.getGroupById = function (allGroups, id) {
        var group = allGroups.filter(function (value) { return value.id == id; }).pop();
        return group;
    };
    StationGroups.getStationsBySubGroup = function (subGroups, id) {
        var subGroup = subGroups.filter(function (value) { return value.id == id; }).pop();
        return subGroup.stations;
    };
    StationGroups.getStationsByGroup = function (allgroups, id) {
        var groups = allgroups.filter(function (value) { return value.parentGroupStationId == id; });
        var stations = [];
        groups.forEach(function (v) {
            // Join arrays 
            Array.prototype.push.apply(stations, v.stations);
        });
        return stations;
    };
    StationGroups.prototype.setStationInSubGroup = function (stations) {
        this.stations = [];
        this.stations = stations;
    };
    StationGroups.prototype.equals = function (value) {
        if (this.id == value.id && this.name == value.name && this.parentGroupStationId == value.parentGroupStationId) {
            // If had a carParks, check them
            if (this.carParks instanceof Array && value.carParks instanceof Array) {
                this.carParks.sort();
                value.carParks.sort();
                var is_same = this.carParks.length == value.carParks.length && this.carParks.every(function (element, index) {
                    return element === value.carParks[index];
                });
                return is_same;
            }
            return true;
        }
        else {
            return false;
        }
    };
    return StationGroups;
}());
exports.StationGroups = StationGroups;
var Stations = (function () {
    function Stations(uuid, name, checked) {
        this.uuid = uuid;
        this.name = name;
        this.checked = checked;
    }
    return Stations;
}());
exports.Stations = Stations;
//# sourceMappingURL=station-groups.js.map