"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var app_settings_1 = require("../../app/app-settings");
var service_1 = require("./service");
var local_storage_1 = require("../local-storage");
var WpsLoginService = (function () {
    function WpsLoginService(service) {
        this.service = service;
    }
    WpsLoginService.prototype.login = function (user) {
        if (app_settings_1.AppSettings.DEBUG) {
            this.service.setHeader(null, false);
            if (user.username == 'admin@wpsenterprise.com' && user.password == '123') {
                app_settings_1.AppSettings.loginUsername = 'admin';
                local_storage_1.WpsLocalStorage.setItem('username', 'admin');
                return this.service.get('/mock-data/login.json');
            }
            else {
                return this.service.get('/mock-data/login-deny.json');
            }
        }
        else {
            var auth = app_settings_1.AppSettings.AUTH;
            var header = { 'Content-Type': 'application/json', 'Authorization': 'Basic ' + auth };
            this.service.setHeader(header, false);
            this.service.setBody({});
            return this.service.post(app_settings_1.AppSettings.endPointLogin(user));
        }
    };
    WpsLoginService.prototype.logout = function () {
        // remove preferences and user from local storage
        clearTimeout(app_settings_1.AppSettings.refreshTokenId);
        clearTimeout(app_settings_1.AppSettings.heartBeatInterval);
        app_settings_1.AppSettings.authorizationTemporary = local_storage_1.WpsLocalStorage.getItem('token_type') + ' ' + local_storage_1.WpsLocalStorage.getItem('access_token');
        var lang = local_storage_1.WpsLocalStorage.getItem('lang');
        local_storage_1.WpsLocalStorage.clear();
        if (lang != null) {
            local_storage_1.WpsLocalStorage.setItem('lang', lang);
        }
        app_settings_1.AppSettings.ENABLED_SERVICES = [];
        //this.router.navigate(['/login']);
    };
    WpsLoginService = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [service_1.Service])
    ], WpsLoginService);
    return WpsLoginService;
}());
exports.WpsLoginService = WpsLoginService;
//# sourceMappingURL=login.service.js.map