import { RequestOptions } from '@angular/http';
import { HttpClientService } from './http.client';
import { TranslateService } from 'ng2-translate';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/catch';
import { Login } from '../util/login';
export declare class Service {
    private http;
    private login;
    translateService: TranslateService;
    private header;
    private body;
    constructor(http: HttpClientService, login: Login, translateService: TranslateService);
    get(url: string, json?: boolean): any;
    post(url: string, json?: boolean, silent?: boolean): any;
    put(url: string, json?: boolean): any;
    delete(url: string, json?: boolean): any;
    setHeader(header?: any, authorization?: boolean): void;
    readonly getHeader: RequestOptions;
    setBody(body: any): void;
    setBodyStr(str: any): void;
    readonly getBody: any;
    showError(error: string): void;
}
