export interface IHash {
    [details: string] : string;
}

export class WpsLocalStorage  {
    static values: IHash = {};

    static clear(): void {
        this.values = {};
    }

    static getItem(key: string): string {
        return this.values[key];
    }
    
    static removeItem(key: string): void {
        delete this.values[key];
    }

    static setItem(key: string, data: string): void {
        this.values[key] = data;
    }

    static size() : number{
        return Object.keys(this.values).length;
    }
}