import {NgModule}      from '@angular/core';
import {CapitalizePipe} from './pipes/capitalize.pipe';
import {CurrencyPipe} from './pipes/currency.pipe';
import {DateCustomPipe} from './pipes/date.custom.pipe';
import {TimeAgoPipe} from './pipes/timeago.pipe';

 @NgModule({
     declarations:   [CapitalizePipe, CurrencyPipe, DateCustomPipe, TimeAgoPipe],
     exports:        [CapitalizePipe, CurrencyPipe, DateCustomPipe, TimeAgoPipe],
 })

 export class PipeModule {

   static forRoot() {
      return {
          ngModule: PipeModule
      }
   }
 } 
