import { RequestOptions, Headers } from '@angular/http';
import { WpsLocalStorage } from '../local-storage'

export class RequestOptionsUtil {

    /**
     * Get options with the Authorization and Content-Type headers.
     */
    public static setAccessToken(options: RequestOptions): RequestOptions {
        if (options) {
            options.headers.set('Authorization', WpsLocalStorage.getItem('token_type') + ' ' + WpsLocalStorage.getItem('access_token'));
        }
        return options;
    }
}